### Method

# Ide Task chain

#### Declaration

    void
    ide_task_chain (
      IdeTask* self,
      IdeTask* other_task
    )

#### Description

Causes the result of `self` to also be delivered to `other_task`.

This API is useful in situations when you want to avoid doing the same work multiple times, and can share the result between mutliple async operations requesting the same work.

Users of this API must make sure one of two things is true. Either they have called `ide_task_set_release_on_propagate()` with `self` and set release_on_propagate to `FALSE`, or `self` has not yet completed.

Available since: | 3.32

#### Parameters

`other_task` | `IdeTask`
| A `IdeTask`.
| The data is owned by the caller of the function.